/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.beans.view;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

/**
 * This bean is used in the context of the project overview page.
 * 
 * @author Nils Christian Ehmke
 * @version 1.0
 */
@ManagedBean
@ViewScoped
public class CurrentProjectOverviewBean {

	/**
	 * The name of the "selected" project.
	 */
	private String projectName;

	/**
	 * Default constructor.
	 */
	public CurrentProjectOverviewBean() {
		// No code necessary
	}

	/**
	 * Delivers the currently "selected" project name.
	 * 
	 * @return The name of the project.
	 */
	public String getProjectName() {
		return this.projectName;
	}

	/**
	 * Sets the currently "selected" project name.
	 * 
	 * @param projectName
	 *            The name of the project.
	 */
	public void setProjectName(final String projectName) {
		this.projectName = projectName;
	}

}
